[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TWinControl.InvalidateClientRectCache

The ClientRect is cached; call this procedure to invalidate the cache, so that the next ClientRect value is fetched from the widgetset class.

## Declaration

Source position: controls.pp line 2378

`public procedure TWinControl.InvalidateClientRectCache(`
`WithChildControls: Boolean`
`);`

## Arguments

`WithChildControls` |  | Also invalidate all child controls, if True.